# Exclude Land Processes in NEMO

The **E**xclude **L**and **P**rocesses **i**n **N**EMO tool is a tool to find proper namelist parameters to exclude Land-only processes in NEMO simulations.


The first time that you run the tool it will install it. After that, with the resolution and the maximum number of processes to use.


As an example, once the tool is installed, the command ``./Launcher ORCA025 512`` will produce :

512 26 25


The first number corresponds to **jpnij** ( total number of subdomains containing sea-points), the second number corresponds **jpni** (number of division in x axis) and the third corresponds to **jpnj** (number of domain divisions in y axis).

![result](/uploads/14436bb19990e5ab7563134a40c950fe/RemovedProcesses.png)
### ORCA025 comparison
The next plots are both ORCA025 simulations where the land-only processes have been removed, the first one using 120 processes and the second one using 950 processes.
As can be seen, when more processes are used the size of the subdomains is smaller and therefore it is possible to adjust better to the continental shape and delete a bigger proportion of the land grid-points.

From domain decomposition resulting in 136 sub-domains 16 are land-only and therefore removed, an 11% of the total grid.

![O025_120p](/uploads/775d2de2a2ade97dc9a54b56ff7e4ebf/RemovedProcessesORCA025_120.png)

From domain decomposition resulting in 1287 sub-domains 312 are land-only and therefore removed, a 24% of the total grid.

![O025_120p](/uploads/42cd6b018eefc525f9349b0d9d5101ef/RemovedProcessesORCA025_950.png)


## Impact on Performance

For the ORCA025 resolution, the advantadge of using ELPiN is massive as can be seen in the next figure:\\

![simple_plot](/uploads/898820c14fb18e569e372b2223d44f6d/simple_plot.png)

Further details can be found in [this paper](https://www.sciencedirect.com/science/article/pii/S1877050917308888/pdf?md5=d7e6c16ad4156c9d09cad2d8eafc327f&pid=1-s2.0-S1877050917308888-main.pdf&_valck=1)

